// This a template theme

$white: #fff;
$black: #21282d;
$purple: #542266;
$light_purple: #e0c9e8;
$gray: #DCDEE0;
$light_sand: #f4f3e7;
$sand: #e8e6cd;
$dark_sand: #e0ddbf;
$blue: #1f2284;
$light_blue: #cdcee8;
$red: #862121;
$light_red: #e8cdcd;
$green: #218623;
$light_green: #cee8cd;

// Background settings

$backgroundColor1: $light_sand;
$backgroundColor2: $white;
$backgroundColor3: #f7f6ee;

// Text settings

$mainColor: $black;
$secondColor: $black;

$mainFont: 'montserrat', sans-serif;
$mainFontSize: 30px;
$mainFontHeight: 300;

$secondFont: 'merriweather', serif;
$serifFont: 'merriweather', serif;

$secondFontSize: 1.5em;

// Heading settings

$headingFont: 'raleway', sans-serif;
$headingLetterSpacing: normal;
$headingFontWeight: 600;
$headingTextShadow: none;
$headingLineHeight: 1.2;

$heading1FontSize: 4.5em;
$heading1FontHeight: 600;
$heading1TextShadow: 3px 3px 0px $gray;
$heading1TextTransform: uppercase;
$heading1Color: $purple;

$heading2FontSize: 3.2em;
$heading2FontHeight: 600;
$heading2TextShadow: 3px 3px 0px $gray;
$heading2TextTransform: uppercase;
$heading2Color: $purple;

$heading3FontSize: 2.0em;
$heading3FontHeight: 300;
$heading3TextShadow: none;
$heading3TextTransform: uppercase;
$heading3Color: $purple;

$heading4FontSize: 1.8em;
$heading4FontHeight: 800;
$heading4TextShadow: none;
$heading4TextTransform: none;
$heading4Color: $black;

$heading5FontSize: 1.6em;
$heading5FontHeight: 700;
$heading5TextShadow: none;
$heading5TextTransform: none;
$heading5Color: $black;

$heading6FontSize: 1.6em;
$heading6FontHeight: 500;
$heading6TextShadow: none;
$heading6TextTransform: none;
$heading6Color: $black;

// Link settings

$linkColor: $black;
$linkColorHover: $purple;

$blockMargin: 1.5rem;
$blockMarginSmall: 5px;

// Selection settings

$selectionBackgroundColor: $dark_sand;
$selectionColor: $white;

.separator
{
  width: 30%;
  border:1px solid $purple;
  margin: auto;
  margin-top: 5rem;
  margin-bottom:5rem;
  box-shadow: 3px 3px 0px $gray;
}

// Code settings

$codeFont: menlo;
$codeColor: $black;
$codeSize: 20px;
$codeBackgroundColor: $white;
$codeBoxShadow: 3px 3px 0px $gray;
$codeBorder: 1px solid $gray;
$codeBorderRadius: 7px;
$codePadding: 5px;

// Progress bar settings

$progressBarColor1: $dark_sand;
$progressBarColor2: $black;

// Blockquote settings

$blockquoteSize: 1em;
$blockquoteBackgroundColor: $light_sand;
$blockquotePadding: 20px 20px 20px 20px;

// Image settings

$imageBorder: 1px solid $gray;
$imageBorderRadius: 7px;
$imageShadow: 3px 3px 0px $gray;

// Slides number settings

$slideNumberFont: $mainFont;
$slideNumberSize: 0.8em;
$slideNumberColor: $mainColor;

// Extension box settings

$boxColor1: $sand;
$boxColor2: $black;

$boxWarningColor1: $light_red;
$boxWarningColor2: $red;

$boxInfoColor1: $light_blue;
$boxInfoColor2: $blue;

$boxTipColor1: $light_green;
$boxTipColor2: $green;

// Extension timeline settings

$timelineColor: $purple;
$timelineEventLineColor1: $black;
$timelineEventLineColor2: $sand;

$timelineEventFontColor: $black;
$timelineEventFontFamily: $mainFont;
$timelineEventFontSize: 0.9em;
$timelineEventFontWeight: 500;

$timelineDataFontColor: $black;
$timelineDataFontFamily: $mainFont;
$timelineDataFontSize: 0.7em;
$timelineDataFontWeight: 500;
